/** @format */

import request from "@/utils/request";

// 登录方法
export function login(username, password, code, uuid) {
  const data = {
    username,
    password,
    code,
    uuid,
  };
  return request({
    url: "/api/miuser/login",
    headers: {
      isToken: false,
    },
    method: "post",
    data: data,
  });
}

// 注册方法
export function register(data) {
  return request({
    url: "/register",
    headers: {
      isToken: false,
    },
    method: "post",
    data: data,
  });
}

// 获取用户详细信息
export function getInfo() {
  return request({
    url: "/api/miuser/userInfo",
    method: "get",
  });
}

// 退出方法
export function logout() {
  return request({
    url: "/logout",
    method: "post",
  });
}

// 获取验证码
export function getCodeImg() {
  return request({
    url: "/captchaImage",
    headers: {
      isToken: false,
    },
    method: "get",
    timeout: 20000,
  });
}

//获取字典
export function getDictConfig(params) {
  return request({
    url: "/api/common/dict-data-list",
    method: "get",
    params,
  });
}

//获取微信绑定信息
export function wxLogin(params) {
  return request({
    url: "/api/miuser/wxLogin",
    method: "get",
    params,
  });
}

//微信绑定账号
export function wxBindUser(data) {
  return request({
    url: "/api/miuser/wxBindUser",
    method: "post",
    data,
  });
}
